>NAME PARTKUIP

>MENU /Particles
>GUIDANCE
Particle properties etc.

>COMMAND ToPP
>GUIDANCE
Modify Table of Particle Properties.
Change the properties of a particle in the standard Arte
particle table or append new particles at the and of the table.
.
Specifying the number -999 for any of the parameters means that the previous
value remains unchanged (-999 is a meaningless number for all parameters).
.
This command also establishes the relation between particle and antiparticle.
Once this relation is set it can never be modified. Specifying and
assignment sign (=) as name of the antiparticles means that particle and
antiparticle are the same.
>ACTION KATOPP
>PARAMETER
NAME 'particle name' C
ANTI 'name of antiparticle' C
+
MASS 'particle mass' R D=-999
CHARGE 'particle charge' I D=-999
COLOUR 'colour' I D=-999
DECAY 'decay flag' I D=-999
WIDTH 'particle width' R D=-999.
TRUNC 'truncate Breit-Wigner' R D=-999.
LUND 'Lund code' I D=-999
GEANT 'Geant code' I D=-999
GEANTA 'Geant code for the antiparticle' I D=-999

>COMMAND BEGdecay
>GUIDANCE
Begin of the decay table for a specific particle.
>ACTION KABDEC
>PARAMETER
NAME 'particle name' C

>COMMAND DECAY
>GUIDANCE
Describe one decay channel for a specific particle.
>ACTION KADECA
>PARAMETER
MDME1 'switch (see Lund manual)' I
MDME2 'matrix element' I
BRAT 'branching ratio' R
+
NAME1 'particle name' C D=' '
NAME2 'particle name' C D=' '
NAME3 'particle name' C D=' '
NAME4 'particle name' C D=' '
NAME5 'particle name' C D=' '

>COMMAND ENDdecay
>GUIDANCE
End of the decay table for a specific particle.
>ACTION KAEDEC
>PARAMETER
NAME 'particle name' C

>Command channel
>Parameters
mother 'Particle with special decay' C D=' '
nchannels 'Number of Channels' I D=0
mixing '=1 if mother is a mixing meson' I D=0
>Guidance
Special treatment of the decay chain of LUNDRPART becomes important
in the case of neutral mesons, which mix.
The decay tables should be given as valid for the antimeson.
Reading from top of the decay table, *nchannels* channels will belong to the 
decay of *mother* (and will be switched on if initially off). The rest
of the channels will be switched off.
For the antimeson, the decay tables will be kept in their initial forms.
>Action KACHAN
