#ifndef __OTR_CLUSTER_HH__
#define __OTR_CLUSTER_HH__

#include <arte/arte.hh>
#include <arte/artefunc.h>
#include <vector>
#include <algorithm>

typedef struct{
  ArtePointer<HITB> hitb;
  int gede_index;
  float x, z, q, r, mask, lr;
  float x0, y0, tx, ty;
} HIT, *pHIT;

typedef struct{
  pHIT phit;
  float q, x0, y0, tx, ty;
} EST, *pEST;

typedef struct{
  float x, z, sigma, weight;
  int lay;
  int length, used;
  float cosa, sina;
  ArtePointer<GEDE> gede;
  vector<pHIT> vphit;
} CLUSTER, *pCLUSTER;

void OtrClusters(vector<CLUSTER>&, const ArtePointer<GEDE>);

#endif
