*  --------------------------
*  IOL preferences for CATS
*  --------------------------
*0.0090           cats search window
*0.0090           cats search window
*2.0              cats target window
0                cats det. plane off
0                cats graphics on
*  --------------------------
*  IOL preferences for holmes
*  --------------------------
*
* use holmes ?
*1               holmes use holmes
*
* user defined target position
* 0.67           holmes target x
* 0.             holmes target y
* -4.7           holmes target z
*
* user defined target spot size
*2.             holmes target window
*
* user defined sector order when track finding
* 2-3            holmes search sectors
*
0              holmes debug mode
0              holmes dump gede
0              holmes dump hits
0              holmes dump tracks
*
*  ---------------------------
*  IOL preferences for silarte
*  ---------------------------
*
0              silarte debug mode
*
*  ---------------------------
*  IOL preferences for vdsleda
*  ---------------------------
*
*   Setup and monitoring database files or servers
*  (defaults = vdsdb_setup.db, vdsdb_mon.db)
*
/VDS_CONFIG    vdsleda setup database
*/VDS_SETUP    vdsleda setup database
*vds.db    vdsleda setup database
*hera-b:11224    vdsleda setup database
*
*  Use these databases? 
*  (defaults = 0)
*
1                vdsleda use setup db
0                vdsleda use mon db
*
*  Files to read in for database contents
*  (defaults = "none")
*
* chip99.map         vdsleda chip file
* fed99.map          vdsleda fed file
*side.ecalalign.3486.map    vdsleda side file
*
*side.ecalalign.4154.map    vdsleda side file
*gede.11685xyz_2RWA vdsleda side file
*gede.5429_15RWA    vdsleda side file
*gede.9789_12RWA    vdsleda side file
*gede.9789ia_11RWA    vdsleda side file
*gede.10552_12RWA    vdsleda side file
*gede.10625_4RWA    vdsleda side file
*
* bondmap99.map      vdsleda bondmap file
*
*  Dump contents of VDS_Chip, VDS_Side, VDS_Fed, VDS_Bondmap
*  (default = 0)
*
0                vdsleda dump chips
0                vdsleda dump sides
0                vdsleda dump feds
0                vdsleda dump bondmaps
*
*  Debug Mode ON=1/OFF=0
*  (default = 0)
*
0                vdsleda debug mode
*
* -----------------------
* Preferences for marvin
* -----------------------
*
none          marvin  pathmon
none          marvin  pathsd
3             marvin  sdformat
1             marvin  use_marvin
1             marvin  ncellp
1             marvin  ncellr
1             marvin  ncells
1             marvin  baseline
100           marvin  nevmon
20.           marvin  chi2cut
9.            marvin  seedcut
100.          marvin  smoothcut
0             marvin  dumpClusters
0             marvin  debug mode
*
* --------------------------
* IOL preferences for silraw
* --------------------------
*
* Data type: 0 = EVENT block (see event.h)
*            1 = SLB block   (see event.h)
*            2 = n FED blocks (FED header + data + FED tail) 
*            3 = n SLB sub blocks (SLB subheader + data)
* (default = 1 = SLT/TLT format)
*
0    silraw rawdata type
*
* Chip type: 1 = Helix, 2 = APC 
* (=> data format, cell number, etc)
* (default = 1)
*
1    silraw chip type
*
* Data bits: 8 bits/chan. = new FED, 12 bits/chan. = old FED 
* (default = 8)
*
8   silraw data bits
*
* Datavalid jitter ON/OFF (only for chip type = 1)
* (default = 0)
*
0    silraw datavalid jitter
*
* Datavalid jitter offset (only for chip type = 1)
* (default = 0)
*
0    silraw datavalid jitter offset
*
* General Datavalid offset (only for chip type = 1)
* (default = 0)
*
10    silraw datavalid offset
*
* Minimum distance between cell number ADC count and average
* (default = 20)
*
5   silraw minadcdiff
*
* Dump and debug modes ON=1/OFF=0
* (defaults = 0)
*
0    silraw dump header
0    silraw dump chips
0    silraw dump feds
0    silraw debug mode
*
* Check cell number consistency of all chips?
* Amount of output from cell check (0=None,1=solala,2=Most)
* (defaults = 0; 1)
*
1    silraw cell check
0    silraw cell check output

