
      SUBROUTINE GEOPEN (CFILE)

************************************************************************
* written by Siegmund Nowak (from H.Albrechts ddopen.F)
* Description: open file for geometry input
*
* Called from: dat routines
*
* Argument in/out description
*   CFILE  in     file name
*   CEXT   in     extension
*
************************************************************************

      IMPLICIT NONE

      INTEGER IOS, LENOCC,LCUR
      CHARACTER CFILE*(*), CNAME*120
      LOGICAL EXS
#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/MEIO.fi"

#include "arte/Arte.ff"
#include "auto/MEIO.ff"

      LCUR = IMEIO_CURRENT(LREAD)

C Already open ? if so - close the old one 
      IF (IMEIO_FLAG(LCUR) .EQ. 3 .OR.
     +    IMEIO_FLAG(LCUR) .EQ. 2)  CALL IOCLOS (LREAD)
      CNAME = CFILE
      INQUIRE(FILE=CNAME,EXIST=exs,IOSTAT=IOS)
      IF(EXS) THEN
         CALL MEWARN ('file ' //CNAME(1:LENOCC(CNAME))// 
     +                ' is taken from your home directory')
         GO TO 1
      ENDIF

      call getenvf('HBROOT',CNAME)
      CALL CHAPPC (CNAME, '/GEO/')
      CALL CHAPPC (CNAME, CFILE)
      INQUIRE(FILE=CNAME,EXIST=exs,IOSTAT=IOS)
      IF(.NOT.EXS) THEN
         CALL MEWARC(871345,
     +     'no file '//CNAME(1:LENOCC(CNAME))//' is found')
         GO TO 999
      ENDIF
 1    CALL IOCONC (LREAD, CNAME, ' ', 0)
      CALL IOOPEN (LREAD, 'FI', 0, IOS)
 999  END

************************************************************************
* End of GEOPEN
************************************************************************
