
*CMZ :  3.21/02 29/03/94  15.41.20  by  S.Giani
*-- Author :
      SUBROUTINE GUSTMED(ITMED,CHPAR,PARVAL)
*
************************************************************************
*                                                                      *
*  To change the value of automatically set "CHPAR" = ISVOL,IFIELD,    *
*  FIELDM,TMAXFD,STEMAX,EPSIL,STMIN (parameters in call of gstmed)     *
*  to a new value PARVAL  for tracking medium ITMED                    *
*                                                                      *
*    ==>Called by : <USER>                                             *
*       Author   S.Nowak     *********                                 *
*                                                                      *
************************************************************************
*
      IMPLICIT NONE 
#include "arte/Arte.fi"
#include "gean/gclink.fi"
#include "gean/gcphys.fi"
#include "gean/gccuts.fi"
#include "gean/gcunit.fi"
#include "gean/gcnum.fi"

      INTEGER ITMED,JTM,ITPAR
      REAL PARVAL
      CHARACTER*(*) CHPAR
#include "arte/Arte.ff"
C.
C.    ------------------------------------------------------------------
C.
      IF(ITMED.LE.0)GO TO 90
      IF(ITMED.GT.NTMED)GO TO 90
      JTM=LQ(JTMED-ITMED)
      IF(JTM.LE.0)GO TO 90

      ITPAR=0
      IF(CHPAR.EQ.'ISVOL') ITPAR=7
      IF(CHPAR.EQ.'IFIELD')ITPAR=8
      IF(CHPAR.EQ.'FIELDM')ITPAR=9
      IF(CHPAR.EQ.'TMAXFD')ITPAR=10
      IF(CHPAR.EQ.'STEMAX')ITPAR=11
      IF(CHPAR.EQ.'DEEMAX')ITPAR=12
      IF(CHPAR.EQ.'EPSIL') ITPAR=13
      IF(CHPAR.EQ.'STMIN') ITPAR=14

      IF(ITPAR.NE.0)THEN
         Q(JTM+ITPAR)=PARVAL
      ELSE
         WRITE(CHMAIL,1000)ITMED,CHPAR
         CALL GMAIL(0,0)
      ENDIF
      GO TO 99
C
  90  WRITE(CHMAIL,2000)ITMED
      CALL GMAIL(0,0)
C
 1000 FORMAT(' ***** GUSTMED error for tracking medium ',
     +  I3,' Tracking parameter ',A,'  not defined ***** ')
 2000 FORMAT(' ***** GUSTMED error. Tracking medium NR ',
     +  I3,' not defined ***** ')
  99  END
 
