*-- Author :    Rainer Mankel   01/08/94

      subroutine prplns()

*     **** print plane information
      implicit none
      integer id1, id2, nch, sl, mimp, hit, isl, pl1, pl2, ipl, ii, cmp, 
     +     sec, lay
      real atot
      character*80 chopt
#include "arte/Arte.fi"

#include "auto/GEO.fi"
#include "auto/HITB.fi"
#include "auto/MIMP.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/HITB.ff"
#include "auto/MIMP.ff"

*     **** parameters
      call kugeti(id1)
      call kugeti(id2)
      call kugeti(sl)
      call kugeti(mimp)
      call kugeti(hit)
      call kugeti(cmp)
      call kugeti(sec)
      call kugeti(lay)
      call kugetc(chopt,nch)

*     **** fixup
      if (jgede.le.0) then
         call mewarn('prplns: table GEDE is not booked')
         go to 999
      endif

      if (id2.eq.0.and.id1.ne.0) id2 = id1
      id1 = max(id1,1)
      if (id2.eq.0) then
       id2 = iq(jgede+2)
      else
       id2 = min(id2,iq(jgede+2))
      endif

      if (sl.lt.0.or.sl.gt.iq(jgesl+2)) then
       print *,' () prplns: invalid sl=', sl
       go to 999
      endif

      if (hit.lt.0.or.hit.gt.iq(jhitb+2)) then
       print *,' () prplns: invalid hit=', hit
       go to 999
      endif

      if (mimp.lt.0.or.mimp.gt.iq(jmimp+2)) then
       print *,' () prplns: invalid  mimp=', mimp
       go to 999
      endif

*     **** print headline
      if (index(chopt,'B').gt.0) then ! borders
         print 112,'sl','ipl',
     +        'cmp','lay','sec','shp','xmi','xma','ymi','yma','zmi',
     +        'zma','sxmi','sxma','symi','syma'
      elseif (index(chopt,'G').gt.0) then ! GEDE info
         print 122,'sl','ipl',
     +        'cmp','lay','sec','shp','hit1','hitl',
     +        'dig1','digl','mim1','miml'
      elseif (index(chopt,'R').gt.0) then ! rotation
         print 132,'sl','ipl',
     +        'cmp','cos','sin','rot1','rot2','rot3','rot4',
     +        'rot5','rot6','rot7','rot8','rot9'

      elseif (index(chopt,'W').gt.0) then
         print 142,'sl','ipl',
     +        'cmp','nsub','nwi','xfw','zfw'
      else
         print 102,'sl','ipl',
     +        'cmp','lay','sec','shp','angl','sb',
     +        'ms','acc','eff','dod','pit','gvol'
      endif

*     **** loop over plane range
      pl1 = max(id1,1)
      pl2 = min(id2,iq(jgede+2))
      do 10 ipl=pl1,pl2
         isl = ogede_gesl(ipl)
         if (sl.gt.0.and.isl.ne.sl) go to 10
         if (mimp.gt.0.and.imimp_gede(mimp).ne.ipl) go to 10
         if (hit.ne.0.and.ihitb_gede(hit).ne.ipl) go to 10
         if (cmp.ge.0.and.igede_cmp(ipl).ne.cmp) go to 10
         if (sec.ge.0.and.igede_sec(ipl).ne.sec) go to 10
         if (lay.ge.0.and.igede_lay(ipl).ne.lay) go to 10
         if (index(chopt,'B').gt.0) then ! borders
            print 111,ogede_gesl(ipl), ipl,
     +           igede_cmp(ipl), igede_lay(ipl), igede_sec(ipl),
     +           igede_shp(ipl), fgede_xmin(ipl), fgede_xmax(ipl),
     +           fgede_ymin(ipl), fgede_ymax(ipl), fgede_zmin(ipl),
     +           fgede_zmax(ipl), fgede_sxmn(ipl), fgede_sxmx(ipl),
     +           fgede_symn(ipl), fgede_symx(ipl)
 111        format(i3,i5,4i4,10f8.2)
 112        format(a3,a5,4a4,10a8  )
         elseif (index(chopt,'G').gt.0) then ! GEDE info
            print 121,ogede_gesl(ipl), ipl,
     +           igede_cmp(ipl), igede_lay(ipl), igede_sec(ipl),
     +           igede_shp(ipl), igede_hit1(ipl), igede_hitl(ipl),
     +           igede_dig1(ipl), igede_digl(ipl),
     +           igede_mim1(ipl), igede_miml(ipl)
 121        format(i3,i5,4i4,6i6)
 122        format(a3,a5,4a4,6a6)
         elseif (index(chopt,'R').gt.0) then ! rotation
            print 131,ogede_gesl(ipl), ipl,
     +           igede_cmp(ipl), fgede_cos(ipl), fgede_sin(ipl),
     +           (fgede_rot(ii,ipl),ii=1,9)
 131        format(i3,i5,i4,2f5.2,9f5.2)
 132        format(a3,a5,a4,2a5  ,9a5  )
         elseif (index(chopt,'W').gt.0) then ! wires
            do ii=1,max0(1,min0(igede_nsl(ipl),4)) ! sublayers loop
               if (ii.eq.1) then
                  print 141,ogede_gesl(ipl), ipl,
     +                 igede_cmp(ipl), igede_nsl(ipl),
     +                 igede_nwi(ii,ipl), fgede_xfw(ii,ipl),
     +                 fgede_zfw(ii,ipl)
               else
                  print 143,igede_nwi(ii,ipl), fgede_xfw(ii,ipl),
     +                 fgede_zfw(ii,ipl)
               endif
            enddo
 141        format(i3,i5,i4,i6,i6,f8.3,f10.3)
 142        format(a3,a5,a4,a6,a6,a8,  a10  )
 143        format(3x,5x,4x,6x,i6,f8.3,f10.3)

         else
            atot = 180./3.1415 * (atan2(fgede_sin(ipl),fgede_cos(ipl))
     +           + atan2(fgede_rot(2,ipl),fgede_rot(1,ipl)))
            print 101,ogede_gesl(ipl), ipl,
     +           igede_cmp(ipl), igede_lay(ipl), igede_sec(ipl),
     +           igede_shp(ipl), atot, igede_nsl(ipl), fgede_ms(ipl),
     +           fgede_acc(ipl), fgede_eff(ipl),
     +           fgede_dod(ipl), fgede_pit(ipl), hgede_gvol(ipl)
 101        format(i3,i5,4i4,f5.1,i3,e12.4,f7.4,f6.3,2f7.4,1x,a4)
 102        format(a3,a5,4a4,a5,  a3,a12,   a7, a6,  2a7  ,1x,a4)
         endif
 10   continue
 999  end




