// 
//  Author:  A. Spiridonov                     Created:  22-Jul-00
//  Email:   spiridonl@ifh.de                  HERA-B Collaboration
//  Modified:  
//  call of UniqA                                        05/11/00 A. Spiridonov
//
// rgdownstr.C
// main routine for downstream propagation from vds to tracker

#include "arte/arte.hh"
#include "arte/RSEG_cmp.hh"
#include "rang/zfpar.hh"
#include <iostream.h>
#include <stdlib.h>

// Prototypes

void rangerUniqA();

extern "C" {
  void tfdownstr_(const int&, const float&);
  void tfunrfr_();
  void tftcren_(int&);
}

extern "C" void rgdownstr_() 
{ 
  //  tfdownstr_(0, 15.);         // call after tfevntr
  //  int downmode;
  //  float qmindown;
  if(zfpar_.downmode) 
    {
      if(zfpar_.rlevel < 0 && zfpar_.sltmode <=0 ) 
	{
	  tfdownstr_(1, zfpar_.qmindown);
	}
      else
	{
	  tfdownstr_(0, zfpar_.qmindown);
	}
      int istat;
      tftcren_(istat);
      rangerUniqA();
      tfunrfr_();
    }
  return;
}
