
*-- Author :    A. Spiridonov                         03.12.00
*
*
      subroutine tfhtmag(ift,nhtmag)

*     ****  define number of hits in magnet for segment ift

      implicit none

#include "arte/Arte.fi"
#include "auto/HITB.fi"

#include "rang/zf.fi"
#include "rang/zfpar.fi"

      logical llsmoo      
      integer nhtmag
      integer izf, ift, ih, ii,
     +     jft, iift, ihf
     +     nzf_s, iizf, iseg

#include "arte/Arte.ff"
#include "auto/HITB.ff"

      nhtmag = 0
      if(z_zf(last_ft(ift)).gt.660.) go to 999

*     **** loop over segments in ranger buffer
      do 10 iift=1,3
         if (iift.eq.1) then
            jft = ift
         elseif (prev_ft(jft).gt.0) then
            jft = prev_ft(jft)
         else
            go to 11
         endif
         
         llsmoo = stat_ft(jft).eq.3.or.stat_ft(jft).eq.5
         
         do iizf=1,nhit_ft(jft)
            
            if (iizf.eq.1) then
               izf = last_ft(jft)
            else
               if (.not.llsmoo) then
                  izf = prev_zf(izf)
               else
*     **** smoothed ordering
                  izf = prevs_zf(izf)
               endif
            endif
            
            if (hit_zf(izf).eq.0) go to 61 ! skip dummy hit
            
            if(fhitb_z(hit_zf(izf)).gt.206..and.
     +           fhitb_z(hit_zf(izf)).lt.660.) 
     +           nhtmag = nhtmag + 1
                        
 61         continue
         enddo
 31    continue
 10   continue
 11   continue
      
 999  return
      end
