*-- Author :    Rainer Mankel   15/12/95

      subroutine tfkpzf()

*     **** print track candidate
      implicit none
#include "arte/Arte.fi"

#include "rang/zf.fi"
#include "rang/zfmode.fi"

      integer ii, izf1, izf2, ft, iii, ih, imc, mimp, nnmimp, nch,
     +     tfmc
      real tfmitoqpt
      character*1 csig
      character*20 chopt
      logical lsmoo
#include "auto/GESL.fi"
#include "auto/GEDE.fi"
#include "auto/HITB.fi"
#include "auto/MIMP.fi"
#include "arte/Arte.ff"
#include "auto/GESL.ff"
#include "auto/GEDE.ff"
#include "auto/HITB.ff"
#include "auto/MIMP.ff"

      call kugeti(izf1)
      call kugeti(izf2)
      call kugeti(ft)
      call kugetc(chopt,nch)

*     **** fixup
      if (izf2.eq.0.and.izf1.gt.0) izf2 = izf1
      izf1 = max(izf1,1)
      if (izf2.eq.0) then
       izf2 = n_zf
      else
       izf2 = min(n_zf,izf2)
      endif

      lsmoo = index(chopt,'S').gt.0

      print *,' ++++++++++++++++++++ /zf/ listing ++++++++++++++++++ '
      if (index(chopt,'R').gt.0) then
         print '(a5,a6,a5,a10  ,4a12  )',
     +        'izf','ih','pla','z','m','cm','r','dr'
      else
         print '(a5,a6,2a5,a4,a5,1x,2a4,2a6,10a10)',
     +        'izf', 'hit', 'pla', 'dl','pre', 'mc', 'nh', 'fau',
     +        'ch2', 'z', 'x', 'mx', 'y', 'my', 'cu',
     +        'xmc', 'mxmc', 'ymc', 'mymc', 'cumc'
      endif

      if (ft.gt.0.and.ft.le.nca_ft) then
         do 10 iii=1,999
            if (iii.eq.1) then
               ii = last_ft(ft)
            else
               if (lsmoo) then
                  ii = prevs_zf(ii)
               else
                  ii = prev_zf(ii)
               endif
            endif
            if (ii.le.0) go to 11
*           **** sign
            call tfsign(ii,csig)
            ih = hit_zf(ii)
            call tuhmimp(ih,imc,mimp,nnmimp)
            if (mimp.lt.0.or.mimp.gt.iq(jmimp+2)) go to 999
            if (index(chopt,'R').gt.0) then
               print '(i5,i6,i5,f10.2,4f12.4)',
     +              ii, ih, plane_zf(ii), z_zf(ii), xm_zf(1,ii),
     +              dsqrt(cm_zf(1,1,ii)),
     +              xr_zf(1,ii), dsqrt(cr_zf(1,1,ii))
            else
               print '(i5,i6,2i5,i4,i5,a1, 2i4,2f8.2,10f10.5)', ii, ih,
     +              plane_zf(ii), domlay_zf(ii), prev_zf(ii), tfmc(ii),
     +              csig, nhit_zf(ii), fault_zf(ii),
     +              ch_zf(ii), z_zf(ii), xx_zf(1,ii), xx_zf(3,ii),
     +              xx_zf(2,ii), xx_zf(4,ii), xx_zf(5,ii),
     +              fmimp_x(mimp)
     +              + (z_zf(ii)-fmimp_z(mimp)) * fmimp_tx(mimp),
     +              fmimp_tx(mimp),
     +              fmimp_y(mimp)
     +              + (z_zf(ii)-fmimp_z(mimp)) * fmimp_ty(mimp),
     +              fmimp_ty(mimp), tfmitoqpt(mimp)
            endif
 10      continue
 11      continue

      else
         do ii=izf1,izf2
*           **** sign
            call tfsign(ii,csig)
            ih = hit_zf(ii)
            call tuhmimp(ih,imc,mimp,nnmimp)
            if (mimp.lt.0.or.mimp.gt.iq(jmimp+2)) go to 999
            if (index(chopt,'R').gt.0) then
               print '(i5,i6,i5,f10.2,4f12.4)',
     +              ii, ih, plane_zf(ii), z_zf(ii), xm_zf(1,ii),
     +              dsqrt(cm_zf(1,1,ii)),
     +              xr_zf(1,ii), dsqrt(cr_zf(1,1,ii))
            else
               print '(i5,i6,2i5,i4,i5,a1, 2i4,2f8.2,10f10.5)', ii, ih,
     +              plane_zf(ii), domlay_zf(ii), prev_zf(ii), tfmc(ii),
     +              csig, nhit_zf(ii), fault_zf(ii),
     +              ch_zf(ii), z_zf(ii), xx_zf(1,ii), xx_zf(3,ii),
     +              xx_zf(2,ii), xx_zf(4,ii), xx_zf(5,ii),
     +              fmimp_x(mimp)
     +              + (z_zf(ii)-fmimp_z(mimp)) * fmimp_tx(mimp),
     +              fmimp_tx(mimp),
     +              fmimp_y(mimp)
     +              + (z_zf(ii)-fmimp_z(mimp)) * fmimp_ty(mimp),
     +              fmimp_ty(mimp), tfmitoqpt(mimp)
            endif
         enddo
      endif

 999  end


