*CMZ :  4.03/00 29/07/96  18.49.10  by  Rainer Mankel
*CMZ :  4.02/00 17/07/96  17.14.42  by  Rainer Mankel
*-- Author :    Rainer Mankel   10/07/96
*-- Changed :
*   new definition of sn(cs)tot_plx for VDS     12/08/00  A. Spiridonov

      subroutine tfplx()

*     **** set up auxiliary plane structure

#define NEW_TOT_PLX  

      implicit none
#include "rang/zplx.fi"
#include "rang/zfout.fi"
#include "arte/Arte.fi"
#include "auto/GEO.fi"

      integer pl

#include "arte/Arte.ff"
#include "auto/GEO.ff"

*     **** check how many planes are needed
      do pl=iq(jgede+2),max_plx+1,-1
         if (igede_cmp(pl).ge.1.and.igede_cmp(pl).le.3) then
            print *,' () tfplx: usable plane out of plx range:',
     +           ' pl,cmp,max_plx=',pl,igede_cmp(pl),max_plx
         endif
      enddo

      do pl=1,min0(max_plx,iq(jgede+2))
#ifdef NEW_TOT_PLX
         if(igede_cmp(pl).eq.1) then             ! VDS
            sntot_plx(pl) = fgede_sin(pl) * fgede_rot(5,pl)
     +           - fgede_cos(pl) * fgede_rot(4,pl)
            cstot_plx(pl) = fgede_cos(pl) * fgede_rot(1,pl)
     +           - fgede_sin(pl) * fgede_rot(2,pl)            
         else                                ! OTR or ITR
            sntot_plx(pl) = fgede_sin(pl) * fgede_rot(1,pl)
     +           + fgede_cos(pl) * fgede_rot(2,pl)
            cstot_plx(pl) = fgede_cos(pl) * fgede_rot(1,pl)
     +           - fgede_sin(pl) * fgede_rot(2,pl)            
         end if
#else
         sntot_plx(pl) = fgede_sin(pl) * fgede_rot(1,pl)
     +        + fgede_cos(pl) * fgede_rot(2,pl)
         cstot_plx(pl) = fgede_cos(pl) * fgede_rot(1,pl)
     +        - fgede_sin(pl) * fgede_rot(2,pl)
**         print '(a20,i6,2f10.4,f10.2)',' pl,sn,cs,angle=',
**     +        pl,sntot_plx(pl),cstot_plx(pl),
**     +        180/3.14*atan2(sntot_plx(pl),cstot_plx(pl))
#endif

      enddo

      if (llog_zfout) print *,' tfplx: initialized for pl=1...',
     +     min0(max_plx,iq(jgede+2))


      end

