// ********************************************************************
//
// Routine:      rckarcrefit.C
// Author:       T.Oest
//
// Description:  kuip interface to switch refit on/off
//
// Modification:
// 03 Jan 2000 (AG) removed 99A
//
// ********************************************************************


#include <iostream.h>
#include <stdlib.h>
#include "arte/arte.hh"
#include "reco/rc99Areco.hh"
#include <string.h>
#include <ctype.h>

int rcrefit    = 0;
int rcOTRrefit = 0;

extern "C" void kugetc_( char*, int *, int );
           void ackuexec(char * KuipCommand);

/************************************************************************
* KARTRA
*
* called from  KUIP
***********************************************************************/

extern "C" void karcrefit_() {   

//---------------------------------------------------------------
//   read in subdetetcor status
//---------------------------------------------------------------

  int len;        
  char input[8];
  int len1 = 3;
  kugetc_(input, &len, len1);
  input[len] = 0;

  char *status;
  status  = (char *) malloc(len+1);

  if(len>0) for(int i=0; i<len; i++) status[i] = toupper(input[i]);

//---------------------------------------------------------------
//   read in option
//---------------------------------------------------------------

  len1 = 5;
  kugetc_(input, &len, len1);
  input[len] = 0;

  char *option;
  option  = (char *) malloc(len+1);

  if(len>0) for(int i=0; i<len; i++) option[i] = toupper(input[i]);

//---------------------------------------------------------------
//   set status flag
//---------------------------------------------------------------

  if (strncmp(option,"OTR",3)){

   if (!strncmp(status,"ON",2))  rcrefit = 1;
   if (!strncmp(status,"OFF",3)) rcrefit = 0;

  } else {

   if (!strncmp(status,"ON",2))  rcOTRrefit = 1;
   if (!strncmp(status,"OFF",3)) rcOTRrefit = 0;
  };

};
