#ifndef __LOSSES_H__
#define __LOSSES_H__
#include <stdio.h>

typedef enum {
  NO_LOSS,
  SMI_LOSS_OUTOFSPHERE,
  SMI_LOSS_REFLECTIVITY,
  SMI_LOSS_MIRRORGAPS,
  SMI_LOSS_OUTOFMIRROR,
  SMI_LOSS_PBEAMCUTOUT,
  SMI_LOSS_EBEAMCUTOUT,
  PMI_LOSS_MIRRORGAPS,
  PMI_LOSS_REFLECTIVITY,
  PMI_LOSS_OUTOFMIRROR,
  PMI_LOSS_EBEAMCUTOUT,
  PDW_LOSS_OUTOFBOUNDS,
  DIM_LOSS_REFLEXIONS,
  DIM_LOSS_RAYLEIGH,
  DIM_LOSS_ABSORPTION,
  VES_LOSS_PBEAMSHROUD,
  VES_LOSS_EBEAMSHROUD,
  VES_LOSS_PMI_BACKSIDE,
  SUP_LOSS_OUTOFAREA,
  SUP_LOSS_CELLEMPTY,
  LEN_LOSS_WAVELENGTH,
  LEN_LOSS_ANGULAR,
  PMT_LOSS_EFFICIENCY,
  CEL_LOSS_OUTOFPMTAREA
  } RLosses;
  


#ifdef __RICH_DEBUG__
#include "CLHEP/Hist/HBookTuple.h"
#endif

extern int  richLossCounter[24];
extern int  norma;

double lossfrac(int loss,int *norm);
void   printloss(FILE* fp=stdout);

#endif
