!--------------------------------------------------------------------
! write result of riter to RTRA
! M. Staric, feb-2000
!
!--------------------------------------------------------------------


      SUBROUTINE RITER_TO_RTRA

      IMPLICIT NONE

#include "riter/RIC_TRA.fi"
#include "arte/Arte.fi"
#include "auto/RTRA.fi"

      INTEGER ITRA, IROW, I, IDP
      REAL PROB(0:NHYP-1)
      REAL LRME

#include "arte/Arte.ff"
#include "auto/RTRA.ff"
      
      DO ITRA=1,NTRA
         IROW = RTRA_ROW(ITRA)
         IF(IROW.LT.1.OR.IROW.GT.NRTRA()) GOTO 1
         IQ(IQRTRA_HRI(IROW)) = SFOT(ITRA)
         IQ(IQRTRA_FLR(IROW)) = RECO_FLAG(ITRA)
         IF(RECO_FLAG(ITRA).NE.0) THEN
            DO I=0,NHYP-1
               PROB(I)=PLKH(I,ITRA)
            ENDDO
            IF(NHYP.GT.6) CALL NORMALIZE_LKH(PROB,NHYP,6,IDP)
            Q( QRTRA_LRE(IROW))  = EXP( PROB(1) )
            Q( QRTRA_LRMU(IROW)) = EXP( PROB(2) )
            Q( QRTRA_LRPI(IROW)) = EXP( PROB(3) )
            Q( QRTRA_LRK( IROW)) = EXP( PROB(4) )
            Q( QRTRA_LRP( IROW)) = EXP( PROB(5) )
            LRME=0.
            DO I=6,NHYP-1
               LRME=LRME+EXP(MIN(PROB(I),70.))
            ENDDO
            Q( QRTRA_LRME( IROW)) = LRME
         ELSE
            Q( QRTRA_LRE(IROW))  = 0.
            Q( QRTRA_LRMU(IROW)) = 0.
            Q( QRTRA_LRPI(IROW)) = 0.
            Q( QRTRA_LRK( IROW)) = 0.
            Q( QRTRA_LRP( IROW)) = 0.
            Q( QRTRA_LRME( IROW)) = 0.
         ENDIF
 1       CONTINUE
      ENDDO
     
      RETURN
      END

