#ifndef __OTR_SPOINT_HH__
#define __OTR_SPOINT_HH__

#include <arte/arte.hh>
#include <arte/artefunc.h>
#include <vector>
#include <algorithm>
#include <cats/OtrCluster.hh>

typedef struct{
  float dist, x, tx;
  int length;
  pCLUSTER  pclul, pclum, pclur;
} TRIPLET;

typedef struct{
  float y, ty, z;
  int used;
  pCLUSTER psclu;
} YSTEREO;

typedef struct{
  float zf, xf, yf, txf, tyf;
  float zm, xm, ym, txm, tym;
  float ze, xe, ye, txe, tye;
  float pf, pe;
  float cvf[4][4], cvm[4][4], cve[4][4];
  float chi2, prob;
  int nsp, nclu;
  vector<pCLUSTER> vpclu;
  int  used, level, neighborindex;
} SPACEPOINT, *pSPACEPOINT;

void OtrFitSPoint(SPACEPOINT& );
void OtrSPoints(vector<pCLUSTER>, vector<pCLUSTER>, vector<SPACEPOINT>&,
		const float, const float);

#endif
