#ifndef _RCCL_H_
#define _RCCL_H_
typedef struct {
   float z;
   float x;
   float y;
   float tx;
   float ty;
   float esum;
   float cve[15];
   float wid;
   float asym;
   int flag;
   float lemp;
   float lmip;
   float lhad;
   float xcog;
   float ycog;
   float vcog[3];
   int prtra;
   int phitc;
   int pmtra;
   int prseg;
} RCCL;
#define  JRCCL (gcbank_.iq+artelink_.jrccl)
#define  NRCCL() N_U(JRCCL)
#define NCRCCL() N_C(JRCCL)
#define RCCL(i) (*((RCCL*)(JRCCL+2)+(i)-1))
#include "auto/RTRC.h"
#define RCCL_prtra(i) RCCL(i).prtra
#define RCCL_mrtra(i) M_1(i,JRTRC)
#define RCCL_xrtra(i) X_1(i,JRTRC)
#include "auto/RCHC.h"
#define RCCL_phitc(i) RCCL(i).phitc
#define RCCL_mhitc(i) M_2(i,JRCHC)
#define RCCL_xhitc(i) X_2(i,JRCHC)
#include "auto/RCMT.h"
#define RCCL_pmtra(i) RCCL(i).pmtra
#define RCCL_mmtra(i) M_2(i,JRCMT)
#define RCCL_xmtra(i) X_2(i,JRCMT)
#include "auto/RCRS.h"
#define RCCL_prseg(i) RCCL(i).prseg
#define RCCL_mrseg(i) M_2(i,JRCRS)
#define RCCL_xrseg(i) X_2(i,JRCRS)
#endif
