
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
// A. Gellrich
//
// hints:
//        components: COMP_SVD
//                    COMP_ITR
//                    COMP_HIPT
//                    COMP_OTR
//                    COMP_RICH
//                    COMP_TRD
//                    COMP_ECAL
//                    COMP_MUON
//                    COMP_FLT
//                    COMP_SLT
//                    COMP_TLT
//                    COMP_FARM
//
//         levels:    LVL_RAW
//                    LVL_HIT
//                    LVL_REC
//
//         histogram id: 1 - 65535
//
// changes:
// 22 Oct 1999 (AG) code polsihing
// 27 Oct 1999 (AG) use defines in DQ.h
//  1 Nov 1999 (AG) get rid of dq_hid.h
// 12 Dec 2000 (MB) changed something
//
// ******************************************************************

// standard includes
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"

// Arte includes
#include "arte/arte.hh"
#include "farm/farm.hh"
#include "dq/DQ.h"
#include "dq/DQ_MUON.h"

//
// function code
//
int
DQ_MUON_rec_init()
{
  // show up
  ARTE_mark( "DQ_MUON_rec_init 0", 0 );
  cout << "DQ_MUON_rec_init" << endl;
  
  // booking
  rhp_hbook1(DQ_ID(COMP_MUON,LVL_REC,0x1),"MUON: number of tracks per event",10,-0.5,9.5);
  rhp_hbook1(DQ_ID(COMP_MUON,LVL_REC,0x100),"MUON: number of hits per track",35,-0.5,34.5);

  ARTE_mark( "DQ_MUON_rec_init 1", 0 );
  return 0; // return error code (0 = okay)
}
