
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
//
// Filling of histograms
//
//        components: COMP_SVD
//                    COMP_ITR
//                    COMP_HIPT
//                    COMP_OTR
//                    COMP_RICH
//                    COMP_TRD
//                    COMP_ECAL
//                    COMP_MUON
//                    COMP_FLT
//                    COMP_SLT
//                    COMP_TLT
//                    COMP_FARM
//
//         levels:    LVL_RAW
//                    LVL_HIT
//                    LVL_REC
//
// changes:
// 27 Oct 1999 (AG) use defines in DQ.h
// 15 Mar 2000 (NR) add tltarte/ prefix (tlt becomes part of ARTE)
// ******************************************************************

// standard includes
#include <stdlib.h>
#include <stdio.h>

// ONLINEincludes
#include "rhp.h"
#include "component.h"
#include "event.h"

// Arte includes
#include "arte/arte.hh"
#include "dq/DQ.h"
#include "dq/DQ_TLT.h"
#include "tltarte/L3_Arte.hh"
#include "tltarte/tlt.hh"

//
// function code
//
int
DQ_TLT_rec_evnt()
{
  //static int call_L3 = 0;
  //if( call_L3==0 ) call_L3 = L3_Arte::svdHitsPresent(); //return presence of svd-hitbs
  //if( call_L3 ) tlt_evnt();
  tlt_evnt();
  return 0; // return error code (0 = okay)
}
