
      SUBROUTINE GHSTAK 

******************************************************************
*                                                                *
*    SUBR. GHSTAK (IFLAG)                                        *
*    derived from GSSTAK by S.Nowak                              *
*    Stores in auxiliary stack JSTAK those particle which must   *
*    be restored into JKINE bank .                               *
*                                                                *
*    Called by : GUSTEP                                          *
*                                                                *
******************************************************************

      REAL UBUF(1),PV(3)
#include "arte/Arte.fi"
#include "gean/gclink.fi"
#include "gean/gckine.fi"
#include "gean/gcnum.fi"
#include "gean/gcstak.fi"
#include "gean/gctrak.fi"
      DATA UBUF/0./
#include "arte/Arte.ff"
C.    ------------------------------------------------------------------
*
      IF(ISTAK.EQ.0) GO TO 999

      CALL GSVERT (VECT, ITRA, 0, UBUF, 0, NVTX)
      PV(1) = VECT(7) * VECT(4)
      PV(2) = VECT(7) * VECT(5)
      PV(3) = VECT(7) * VECT(6) 
      CALL GSKINE (PV, IPART, NVTX, UBUF, 0, ITR)

*
* *** Store information in stack
*
      IF (JSTAK.EQ.0) THEN
         NDBOOK = NTSTKP*NWSTAK +3
         NDPUSH = NTSTKS*NWSTAK
         CALL MZBOOK (IXCONS,JSTAK,JSTAK,1,'STAK', 0,0,NDBOOK, IOSTAK,3)
         IQ(JSTAK+2) = NTSTKP
      ELSE IF (IQ(JSTAK+1).EQ.IQ(JSTAK+2)) THEN
         CALL MZPUSH (IXCONS, JSTAK, 0, NDPUSH, 'I')
         IQ(JSTAK+2) = IQ(JSTAK+2) +NTSTKS
      ENDIF
*
      JST = JSTAK +IQ(JSTAK+1)*NWSTAK +3
      IQ(JSTAK+1) = IQ(JSTAK+1) +1
      IF (IQ(JSTAK+3).EQ.0) IQ(JSTAK+3) = IQ(JSTAK+1)
      IF (IQ(JSTAK+1).GT.NSTMAX)  NSTMAX = IQ(JSTAK+1)
*
      IQ(JST+1)   = ITR
      IQ(JST+2)   = IPART
      IQ(JST+3)   = 0
      DO 90 I = 1,3
         Q(JST+3+I) = VECT(I)
         Q(JST+6+I) = PV(I)
   90 CONTINUE
      Q(JST+10) = TOFG
      Q(JST+11) = SAFETY
      Q(JST+12) = UPWGHT
*
      NALIVE = NALIVE +1
*                                                             END GSSTAK
  999 END
