        subroutine wallg10
        implicit none
******************************************************************
*                                                                *
* Switch whether G10 strips in OTR should be declared as walls.  *
* Command has effect only before running Geant by GEAN command.  *
*                                                                *
* Alexander Lanyov   Aug 1999                                    *
*                                                                *
******************************************************************
#include "arte/Arte.fi"
#include "gean/otrgeo.fi"
        integer l
        character mode*20

#include "arte/Arte.ff"

        call kugetc(mode,l)
        if (mode(:2).eq.'ON') then
           declare_g10 = 1
        else if (mode(:2).eq.'OF') then
           declare_g10 = 0
        else if (mode(:1).eq.'C') then
           declare_g10 = 2
           write (*,*) 'Warning: CONCISE mode is not yet fully tested'
        else if (mode(:1).eq.' ') then
           continue
        else
           write (*,*) 'Illegal argument at OTRG10 command: ',mode
           write (*,*) ' Legal arguments are: ON, OFF, CONCISE.'
        end if

        if (declare_g10.eq.1) then
           c78 = 'G10 strips in OTR will be declared.'
        else if (declare_g10.eq.0) then
           c78 = 'G10 strips in OTR will be NOT declared.'
        else if (declare_g10.eq.2) then
           c78 = 'G10 strips in OTR will be declared in a CONCISE way.'
        end if
        call me78sp('TP')

        return
        end
