*-- Author :    Rainer Mankel   06/01/96

      subroutine discope(c,zmin,zmax,action)

*     **** modify superlayer scope setting
      implicit none
      character*(*) c           ! scope descriptor
      real zmin, zmax           ! valid SL z range
      integer action            ! 1=add, -1=remove, 0=remove all

      integer maxsl, itemplate, nc, sl, n_selected
      logical template, select
      character*4 csl
#include "pris/zgraf.fi"
#include "arte/Arte.fi"
#include "auto/GEO.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"

      maxsl = min0(scmxzg,iq(jgesl+2))

      if (action.eq.0) then
         do sl=1,scmxzg
            lscopzg(sl) = .false.
         enddo
         go to 999
      endif

*     **** template?
      itemplate = index(c,'*')
      nc = itemplate - 1
      template = itemplate.gt.0

      n_selected = 0

      do sl=1,maxsl             ! loop over scopable SL's
         write(CSL,'(a4)') hgesl_name(sl)
         if (template) then
            select = index(CSL,c(1:nc)).gt.0
            select = select .and. fgesl_z1(sl).ge.zmin
     +           .and. fgesl_z1(sl).le.zmax
         else
            select = CSL.eq.c
         endif

         if (select) then
            if (action.eq.1) then
               lscopzg(sl) = .true.
            elseif (action.eq.-1) then
               lscopzg(sl) = .false.
            else
               print *,' () discope: invalid action=', action
            endif
            n_selected = n_selected + 1
         endif
      enddo

      if (n_selected.eq.0) then
         print *,' () discope: no superlayer found which matches ',c
      endif

 999  end
