// 
//  Author:  Rainer Mankel                     Created:  22-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

#ifndef RANGER_SEED_SET
#define RANGER_SEED_SET


#include <vector.h>

class rangerDomWin;
class rangerDomLay;

class rangerSeedSet {

public:
  rangerSeedSet(){};
  rangerSeedSet(rangerDomWin* dw,int method,int direction,
		int lay1,int lay2=0,int lay3=0);
  ~rangerSeedSet(){};

  int OK() { return filled; };
  int method() { return meth;};
  rangerDomWin* win() { return wi;};
  vector<rangerDomLay*>& domlays() { return dls;};
  void dump(const int level=1);

private:
  int direct;
  int meth;
  rangerDomWin* wi;
  vector<rangerDomLay*> dls;
  int filled;
};

#endif
