
// ********************************************************************
//
// Routine:      rcSelVDSerrors.C
// Author:       T. Oest
//
// Description:  inversion of the VDS error matrix
//
// Modification:
// 03 Jan 2001 (AG) removed 99
//
// ********************************************************************
#include <math.h>
#include <complex.h>
#include <iostream.h>


#include "arte/arte.hh"

extern "C"
{
 void dinv_(const int    & n,
            const double * wMeas,
            const int    & idim,
            const float  * r,
            const int    & ifail);
}

//******************************************************************
// function to invert the covariamce matric
//******************************************************************

int
rcSelVDSerrors(ArtePointer<RSEG> rVDS, const double * wMeas)
{

 //
 // now call CERNLIB routine
 //
 const int n=4;
 const int idim=5;
 float     r[5];
 int       ifail;


 dinv_(n, wMeas , idim, r, ifail);


 return ifail;

};
