#include <string>
#include <iostream.h>
#include "reco/recoOptions.hh"

extern recoOptions RecoOpt;

extern "C" {

  void rccact(char* cc,const int& nc) {
    string c(cc,4);
    int status = RecoOpt.CheckActiveSL(c);
    if(status==0 || status==9) {
        RecoOpt.SetActiveSL(c);
    }
    else
    {
        cout << "Superlayer " << c << " is active" << endl;
    }
  }
}
