//Initialization of ARTE tables of RICH from MIZZI database.
//
//
//
//------------------------------------------------------------------

#include "rich/ricutil.h"
extern "C" {
  #include "table.h"
  }
/*------------------------------------------------------------------*/

class ARTE_INIT_FROM_DB {

Tables tid;

public:
// Constructor opening the database. The RICH_INSTALLDB environment variable 
// has to be defined before calling constructor. This can be the name of the
// server or the name of database file.
ARTE_INIT_FROM_DB();

/// Initialization of CPMT ARTE table from database
  int CPMTInitialization();

/// Initialization of CPMD ARTE table from database
  int CPMDInitialization();

/// Initialization of CSUP ARTE table from database
  int CSUPInitialization();

/// Initialization of CLEN ARTE table from database
  int CLENInitialization();

/// Initialization of CEFF ARTE table from database
  int CEFFInitialization();

/// Initialization of CPOI ARTE table from database
  int CPOIInitialization();

/// Initialization of CVES ARTE table from database
  int CVESInitialization();

/// Initialization of CSMI ARTE table from database
  int CSMIInitialization();

/// Initialization of CSSM ARTE table from database
  int CSSMInitialization();

/// Initialization of CPMI ARTE table from database
  int CPMIInitialization();

/// Initialization of CSPM ARTE table from database
  int CSPMInitialization();

/// Initialization of CPDW ARTE table from database
  int CPDWInitialization();

/// Initialization of CDIM ARTE table from database
  int CDIMInitialization();

/// Initialization of all ARTE tables from database
  int ARTETablesInitialization();

/// Initialization of CPMT, CPMD, CSUP, CLEN, CEFF and CPOI ARTE tables 
/// from database
  int RICHDetectorInitialization();

/// Initialization of CPOI, CVES, CSMI, CSSM, CPMI, CSPM, CPDW and CDIM 
/// ARTE tables from database
  int RICHVesselInitialization();

/// Destructor closing the database's tables.
~ARTE_INIT_FROM_DB();

};

extern ARTE_INIT_FROM_DB* ArteInitFromDB;
